diff --git src/players.cpp src/players.cpp
index 21afed2..4b46c04 100644
--- src/players.cpp
+++ src/players.cpp
@@ -106,16 +106,17 @@
 		 << Player("SMPlayer (audio)", "smplayer.exe", "%u -media-title %t", true, false, Player::Audio)
 		 << Player("SMPlayer (add to playlist)", "smplayer.exe", "-add-to-playlist %u", true, true, Player::VideoAudio);
 #else
-	list << Player("SMPlayer", "smplayer", "%u", true, true, Player::Video)
+	list << Player("MPlayer", "@@PREFIX@@/bin/mplayer", "%u -title %t", false, false, Player::Video)
+		 << Player("mpv", "@@PREFIX@@/bin/mpv", "%u --title=%t", false, true, Player::Video)
+		 << Player("mpv + youtube-dl", "@@PREFIX@@/bin/mpv", "--ytdl --ytdl-format=best %u", true, true, Player::Video)
+		 << Player("VLC", "@@PREFIX@@/bin/vlc", "%u --meta-title=%t", false, true, Player::VideoAudio)
+		 << Player("QMPlay2", "@@APPLICATIONS@@/QMPlay2.app/Contents/MacOS/QMPlay2", "%u", false, false, Player::VideoAudio)
+		 << Player("SMPlayer", "smplayer", "%u", true, true, Player::Video)
 		 << Player("SMPlayer (audio)", "smplayer", "%u -media-title %t", true, false, Player::Audio)
 		 << Player("SMPlayer (add to playlist)", "smplayer", "-add-to-playlist %u", true, true, Player::VideoAudio)
-		 << Player("MPlayer", "mplayer", "%u -title %t", false, false, Player::Video)
-		 << Player("VLC", "vlc", "%u --meta-title=%t", false, true, Player::VideoAudio)
 		 << Player("Dragon Player", "dragon", "%u", false, false, Player::VideoAudio)
 		 << Player("Totem", "totem", "%u", false, false, Player::VideoAudio)
-		 << Player("GNOME-MPlayer", "gnome-mplayer", "%u", false, false, Player::VideoAudio)
-		 << Player("mpv", "mpv", "%u --title=%t", false, true, Player::Video)
-		 << Player("mpv + youtube-dl", "mpv", "--ytdl --ytdl-format=best %u", true, true, Player::Video);
+		 << Player("GNOME-MPlayer", "gnome-mplayer", "%u", false, false, Player::VideoAudio);
 	#ifdef D_PLAYERS
 	list << Player("uget", "uget-gtk", "--quiet --folder=/tmp --filename=%f %u", false, false, Player::VideoAudio);
 	#endif

diff --git src/retrieveyoutubeurl.cpp src/retrieveyoutubeurl.cpp
index 416956c..e2196cd 100644
--- src/retrieveyoutubeurl.cpp
+++ src/retrieveyoutubeurl.cpp
@@ -80,7 +80,7 @@
 		  #endif
 		#endif
 		#ifdef Q_OS_MACX
-		app_path = QDir::homePath() + "/bin/" + ytdl_bin;
+		app_path = "@@PREFIX@@/bin/yt-dlp";
 		#endif
 	}
 	qDebug() << "RetrieveYoutubeUrl::ytdlBin: app_path:" << app_path;
diff --git src/smtube.pro src/smtube.pro
index 00b84bf..f82a352 100644
--- src/smtube.pro
+++ src/smtube.pro
@@ -91,6 +91,8 @@ unix {
 	DEFINES += TRANSLATION_PATH=$(TRANSLATION_PATH)
 }
 
+ICON = smtube.icns
+
 win32 {
 	RC_FILE = smtube.rc
 	CONFIG(debug, debug|release) {
